
From: Luiz Fernando Capitulino <lcapitulino@prefeitura.sp.gov.br>

When CONFIG_SYSCTL is not set I'm getting this:

net/bridge/br_netfilter.c: In function `br_nf_forward_arp':
net/bridge/br_netfilter.c:438: error: `brnf_call_arptables' undeclared (first use in this function)

The problem is that `brnf_call_arptables' is only defined when CONFIG_SYSCTL
is also defined.



---

 25-akpm/net/bridge/br_netfilter.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN net/bridge/br_netfilter.c~bridge-build-fix net/bridge/br_netfilter.c
--- 25/net/bridge/br_netfilter.c~bridge-build-fix	Fri Jan 16 11:25:06 2004
+++ 25-akpm/net/bridge/br_netfilter.c	Fri Jan 16 11:25:06 2004
@@ -435,8 +435,10 @@ static unsigned int br_nf_forward_arp(un
 	struct vlan_ethhdr *hdr = (struct vlan_ethhdr *)(skb->mac.ethernet);
 	struct net_device **d = (struct net_device **)(skb->cb);
 
+#ifdef CONFIG_SYSCTL
 	if (!brnf_call_arptables)
 		return NF_ACCEPT;
+#endif
 
 	if (skb->protocol != __constant_htons(ETH_P_ARP)) {
 		if (!IS_VLAN_ARP)

_
